gradient = {}
gradient.__index = gradient 

function gradient.new(color)
    local instance = setmetatable({}, gradient)
    instance.table = {}
    instance.hue = 1
    for y=1, virtual_height do 
        instance.hue = instance.hue - 1 / virtual_height
        table.insert(instance.table, instance.hue)
    end
    return instance
end

function gradient:draw()
    for i, hue in ipairs(self.table) do 
        love.graphics.setColor(0.1, 0.2, 0.8, hue)
        love.graphics.rectangle("fill", 0, i-1, virtual_width, 1)
    end
end